[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# dosmemput

Copy data from the heap to DOS real mode memory

## Declaration

Source position: go32.pp line 179

`const dosmemput: procedure( = @dpmi_dosmemput;`
`seg: Word;`
`ofs: Word;`
`var data;`
`count: LongInt`
`)`

## Description

Copies heap data to dos real mode memory.

Parameters:

seg
  destination real mode segment.
ofs
  destination real mode offset.
data
  source.
count
  number of bytes to copy.

Notes: No range checking is performed.

For an example, see global_dos_alloc.

## Errors

None.

## See also

dosmemget |  | Copy data from DOS memory to the heap.
dosmemmove |  | Move data between 2 DOS real mode memory locations
dosmemfillchar |  | Fill a region of DOS memory with a specific byte-sized value
dosmemfillword |  | Fill a region of DOS memory with a specific word-sized value
seg_move |  | Move data between 2 locations
seg_fillchar |  | Fill segment with byte value
seg_fillword |  | Fill segment with word value

Documentation generated on: Feb 26 2014